import Intro from './components/Intro';
import Test from './components/Intro';
import {Route, Routes} from 'react-router-dom';
import {FC} from 'react';
import Navbar from './components/Navbar';
import Chapters from './components/Chapters';
import Overview from './components/Overview';
import Opening from "./components/Opening";
import HomePage from "./components/HomePage";

const App: FC = () => {
  return (
    <>
      <div className="min-h-screen font-primary">
        <header>
          <Navbar />
        </header>
        <Routes>
          <Route path="/" element={<HomePage />} index />
          <Route path="intro" element={<Intro />} />
          <Route path="/chapters" element={<Chapters />} />
          <Route path="/opening" element={<Opening />} />
          <Route path="/overview" element={<Overview />} />
          <Route path="/test" element={<Test />} />
        </Routes>
      </div>
    </>
  );
};

export default App;
